{% load static %}
<!doctype html>
<html lang="en">
<head>
    {% load bootstrap5 %}
    {% bootstrap_css %}
    {% bootstrap_javascript %}
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.1/dist/css/bootstrap.min.css" rel="stylesheet"
          integrity="sha384-+0n0xVW2eSR5OomGNYDnhzAbDsOXxcvSN1TPprVMTNDbiYZCxYbOOl7+AMvyTG2x" crossorigin="anonymous">
    <link rel="stylesheet" href="{% static '/css/base.css' %}">


    <title>{% block title %}Pizza time{% endblock %}</title>
</head>

<body>
{% block navpanel %}
    <nav class="navbar navbar-expand-lg navbar-light bg-light">
        <div class="container-fluid d-flex">
            <div class="container-fluid">
                <a class="navbar-brand" href="{% url 'catalog_list' %}">
                    <img src="/static/image/logo.png" alt="" width="200" height="50"
                         class="d-inline-block align-text-top">
                </a>
            </div>
            <div class="collapse navbar-collapse justify-content-center" id="navbarNavDropdown">
                <ul class="navbar-nav">
                    <li class="nav-item">
                        <a class="nav-link active" aria-current="page" href="{% url 'catalog_list' %}">Home</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="{% url 'catalog_list' %}">Pizza </a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href=""> Drink </a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href=""> Other </a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href=""> Contact </a>
                    </li>
                    {% if user.is_authenticated == False %}
                        <li class="nav-item">
                            <a class="nav-link" href="{% url 'login' %}"> Log in</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" href="{% url 'registration' %}"> Register </a>
                        </li>
                    {% elif user.is_authenticated == True %}
                        <li class="nav-item dropdown">
                            <a class="nav-link dropdown-toggle" href="#" id="navbarDropdownMenuLink" role="button"
                               data-bs-toggle="dropdown" aria-expanded="false">
                                Hi, {{ user.first_name }}!
                            </a>
                            <ul class="dropdown-menu" aria-labelledby="navbarDropdownMenuLink">
                                <li><a class="dropdown-item" href="{% url 'profile' pk=user.pk %}">Profile</a>
                                <li><a class="dropdown-item" href="{% url 'basket' %}"> Open Basket </a>
                                <li><a class="dropdown-item" href="{% url 'clear_basket' %}"> Clear Basket </a>
                                <li><a class="dropdown-item" href="{% url 'orders_history' %}"> Order history </a>
                                <li><a class="dropdown-item" href="{% url 'logout' %}">Log out</a>
                            </ul>
                        </li>
                    {% endif %}
                </ul>
            </div>
        </div>
    </nav>
{% endblock %}
<!-- MAIN -->
<main>
    <div class="bg-image"
         style="background-image: url('/static/image/back.jpg');">
        <div class="container-fluid col-9" id="main">
            {% block main %}
            {% endblock %}
        </div>
    </div>
</main>
<!-- MAIN -->


<footer class="text-center text-lg-start bg-light text-muted">
    <!-- Section: Social media -->
    <section
            class="d-flex justify-content-center justify-content-lg-between p-4 border-bottom"
    >
        <!-- Left -->
        <div class="me-5 d-none d-lg-block">

        </div>
        <!-- Left -->

        <!-- Right -->
        <div>
            <a href="" class="me-4 text-reset">
                <i class="fab fa-facebook-f"></i>
            </a>
            <a href="" class="me-4 text-reset">
                <i class="fab fa-twitter"></i>
            </a>
            <a href="" class="me-4 text-reset">
                <i class="fab fa-google"></i>
            </a>
            <a href="" class="me-4 text-reset">
                <i class="fab fa-instagram"></i>
            </a>
            <a href="" class="me-4 text-reset">
                <i class="fab fa-linkedin"></i>
            </a>
            <a href="" class="me-4 text-reset">
                <i class="fab fa-github"></i>
            </a>
        </div>
        <!-- Right -->
    </section>
    <!-- Section: Social media -->

    <!-- Section: Links  -->
    <section class="">
        <div class="container text-center text-md-start mt-5">
            <!-- Grid row -->
            <div class="row mt-3">
                <!-- Grid column -->
                <div class="col-md-3 col-lg-4 col-xl-3 mx-auto mb-4">
                    <!-- Content -->
                    <h6 class="text-uppercase fw-bold mb-4">
                        <i class="fas fa-gem me-3"></i>Pizza Time
                    </h6>
                    <p>
                        TextTextTextTextTextTextTextText
                        TextTextTextTextTextTextTextText
                        TextTextTextTextTextTextTextText
                        TextTextTextTextTextTextTextText
                    </p>
                </div>
                <!-- Grid column -->

                <!-- Grid column -->
                <div class="col-md-2 col-lg-2 col-xl-2 mx-auto mb-4">
                    <!-- Links -->
                    <h6 class="text-uppercase fw-bold mb-4">
                        Products
                    </h6>
                    <p>
                        <a href="#!" class="text-reset">Pizza</a>
                    </p>
                    <p>
                        <a href="#!" class="text-reset">Drink</a>
                    </p>
                    <p>
                        <a href="#!" class="text-reset">Other</a>
                    </p>
                    <p>
                        <a href="#!" class="text-reset">Contacts</a>
                    </p>
                </div>
                <!-- Grid column -->

                <!-- Grid column -->
                {#                <div class="col-md-3 col-lg-2 col-xl-2 mx-auto mb-4">#}
                {#                    <!-- Links -->#}
                {#                    <h6 class="text-uppercase fw-bold mb-4">#}
                {#                        Useful links#}
                {#                    </h6>#}
                {#                    <p>#}
                {#                        <a href="#!" class="text-reset">Pricing</a>#}
                {#                    </p>#}
                {#                    <p>#}
                {#                        <a href="#!" class="text-reset">Settings</a>#}
                {#                    </p>#}
                {#                    <p>#}
                {#                        <a href="#!" class="text-reset">Orders</a>#}
                {#                    </p>#}
                {#                    <p>#}
                {#                        <a href="#!" class="text-reset">Help</a>#}
                {#                    </p>#}
                {#                </div>#}
                <!-- Grid column -->

                <!-- Grid column -->
                <div class="col-md-4 col-lg-3 col-xl-3 mx-auto mb-md-0 mb-4">
                    <!-- Links -->
                    <h6 class="text-uppercase fw-bold mb-4">
                        Contact
                    </h6>
                    <p><i class="fas fa-home me-3"></i> New York, NY 10012, US</p>
                    <p>
                        <i class="fas fa-envelope me-3"></i>
                        info@example.com
                    </p>
                    <p><i class="fas fa-phone me-3"></i> + 01 234 567 88</p>
                    <p><i class="fas fa-print me-3"></i> + 01 234 567 89</p>
                </div>
                <!-- Grid column -->
            </div>
            <!-- Grid row -->
        </div>
    </section>
    <!-- Section: Links  -->

    <!-- Copyright -->
    <div class="text-center p-4" style="background-color: rgba(0, 0, 0, 0.05);">
        © 2021 Copyright:
        <a class="text-reset fw-bold" href="https://mdbootstrap.com/">MDBootstrap.com</a>
    </div>
    <!-- Copyright -->
</footer>


</body>
</html>

